<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Vheartbeat_live_model extends CI_Model
{
    protected $_table = 'vheartbeat_lives';

    public function __construct()
    {
        parent::__construct();
        date_default_timezone_set("Asia/Ho_Chi_Minh");
    }

    public function add($data_insert)
    {
        $this->db->insert($this->_table, $data_insert);
        $insert_id = $this->db->insert_id();
        return $insert_id;
    }

    public function update($id, $data_update)
    {
        $this->db->where('id', $id);
        $this->db->update($this->_table, $data_update);
    }

    public function getById($id)
    {
        $this->db->select('*');
        $this->db->from($this->_table);
        $this->db->where('id', $id);
        $query = $this->db->get();
        return $query->result_array();
    }

    public function countAll($name = null)
    {
        $this->db->select('COUNT(*) AS totalResults');
        $this->db->from($this->_table);
        if ($name != null) {
            $this->db->like($this->_table . '.title', $name, 'both');
        }
        $query = $this->db->get();
        $result = $query->result_array();
        if ($result) {
            return $result[0]['totalResults'];
        } else {
            return 0;
        }
    }

    public function getPagination($record, $start, $name = null)
    {
        $this->db->select('*');
        $this->db->from($this->_table);
        if ($name != null) {
            $this->db->like($this->_table . '.title', $name, 'both');
        }
        $this->db->order_by($this->_table . '.id', 'desc');
        $this->db->limit($record, $start);
        $query = $this->db->get();
        return $query->result_array();
    }

}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */